//
//	Class definition for Message Box Dialog class
//

#ifndef THE_MESSAGE_BOX_DIALOG_H
#define THE_MESSAGE_BOX_DIALOG_H

#include "theStringManager.h"
#include "ldwTiledDialog.h"

class ldwImageGrid;

class theMessageBoxDlg : public ldwTiledDialog
{
public:

	theMessageBoxDlg(StringId messageId,int dlgCanvas = 0,bool hasCancel = false);
	theMessageBoxDlg(const char *message,int dlgCanvas = 0,bool hasCancel = false);

	~theMessageBoxDlg();

	int  GetResult();

	bool HandleKey(int messageId,int keyCode,int character);
	bool HandleMessage(int messageId,long data);

protected:

	enum {eOkButtonId = 1, eCancelButtonId};

	void DrawNoFadeScene();

	void Init(const char *message,int dlgCanvas,bool hasCancel);

	ldwImageGrid *mTiles;

	int  mResult;
};

#endif
